Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Full Plasma 5.9 testing, plasma-meta,kde-apps,kde-frameworks
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
tech.fennec
n00b
n00b


Joined: 02 Feb 2017
Posts: 7

PostPosted: Thu Feb 02, 2017 4:18 pm    Post subject: Full Plasma 5.9 testing, plasma-meta,kde-apps,kde-frameworks Reply with quote

Hi there.
I have installed system with profile "default/linux/amd64/13.0/desktop/plasma" and dbus, polkid, udev, udisks installed already
I suggest I need to unmask this
=kde-plasma/plasma-meta-5.9.0
=kde-apps/kdeutils-meta-16.12.1
=kde-frameworks/kwallet-5.30.0
=kde-apps/kdenetwork-meta-16.12.1

for example which version I need to install with plasma 5.9 [kde-apps/kdenetwork-meta-16.2.1]? I need korganizer, kmail from testing not from KDE4 branch, how can I unmask kde-apps* and all from kde-frameworks* to 5.30 [testing]?

What to do with dev-qt/* qtmultimedia for example which have version 5.6.2 like many other libs in stable because some KDE parts needs version from testing 5.7...

I want to install Plasma 5 from testing with all KDE5 applications, games, network manager and avoid conflicts with other packages and I need advise how to install it correctly and what to unmask. I've use Gentoo with KDE 4.14 for now and I wanted to install new plasma to another machine for migrate reason in future.

Thanks.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Thu Feb 02, 2017 4:56 pm    Post subject: Reply with quote

KDE Overlay provides keyword files. You don't have to add the overlay, just copy the files: https://gitweb.gentoo.org/proj/kde.git/tree/Documentation/package.accept_keywords
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
tech.fennec
n00b
n00b


Joined: 02 Feb 2017
Posts: 7

PostPosted: Thu Feb 02, 2017 8:23 pm    Post subject: Reply with quote

Thanks for you reply.
I never use overlay repository and git, how I can properly download 'accept keywords' only? I need to create directory /etc/portage/package.accept_keywords and place it here? I need to download only this ?
.kde-applications-16.12
.kde-frameworks-5.30
.kde-plasma-5.9
kde-applications-16.12.keywords
kde-frameworks-5.30.keywords
kde-plasma-5.9.keywords

Do I only need to do "dispatch-conf" after this or something else?

Please give more details how to do that.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Thu Feb 02, 2017 8:55 pm    Post subject: Reply with quote

You don't care about the hidden dirs. You create a package.accept_keywords directory below /etc/portage/ and put the three *.keywords files you listed above in there. Make sure you copy them plaintext.

https://wiki.gentoo.org/wiki/Knowledge_Base:Accepting_a_keyword_for_a_single_package#Using_directories

This directory is not config-protected.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum